Site Config
Update PHP-FPM (www.conf) settings
PATCH
Permission: site.performance
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuidapplication/json- body
settings*Subset of: pm, pm.max_children, pm.start_servers, pm.min_spare_servers, pm.max_spare_servers, pm.max_requests, request_terminate_timeout
Successful Response
application/json- response
success*booleandata*The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X PATCH "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/php/fpm" \ -H "Content-Type: application/json" \ -d '{ "settings": { "property1": "string", "property2": "string" } }'{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "settings": { "property1": "string", "property2": "string" }, "limits": { "property1": 0, "property2": 0 }, "profile": "string" }}